/*Stylings for drawers*/

.drawerContainer {
  margin: 0 auto;
  max-width: var(--ifm-container-width-xl);
  padding-left: 1rem;
  padding-right: 1rem;
  width: 100%;
}

.drawerDescription {
  color: #000000;
  font-style: normal;
  font-size: 1rem;
  padding-top: 8px;
  font-weight: 400;
  margin-left: 20px;
}

.drawerContent {
  display: flex;
  align-items: baseline;
  justify-content: space-around;
}

.line {
  border: 1px solid #7e97a9;
  margin-left: 25px;
  margin-right: 25px;
  margin-bottom: 0;
}

.item {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 17px;
  width: 250px;
  height: 200px;
  justify-content: space-between;
}

.featureSvg {
  height: 50px;
  width: 50px;
  color: #87b9c3;
  align-items: center;
}

.buttonStyle {
  align-items: center;
}

@media screen and (max-width: 600px) {
  .item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 17px;
    width: 100%;
    min-width: 250px;
    height: 200px;
    justify-content: space-between;
  }

  .itemDescription {
    width: 100%;
  }

  .buttonStyle {
    display: block;
    width: 100%;
    align-items: center;
  }
}

@media screen and (max-width: 996px) {
  .drawerContent {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 8px;
    gap: 8px;
  }
}

.row {
  background-color: #f1f1f1;
  border-radius: 4px;
  margin-bottom: 1em;
}

.title {
  color: var(--ifm-color-primary);
  font-style: normal;
  font-size: 1.375rem;
  line-height: 2.0625rem;
  font-weight: 700;
}

details {
  padding: 1em;
}

details[open] summary.title::marker {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: "\f106" " ";
}

summary.title::marker {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: "\f107" " ";
}

.svg-inline--fa {
  margin-right: -10px;
}

/* Stylings for Tile Banner */

.tileBannerContainer {
  margin: 0 auto;
  max-width: var(--ifm-container-width-xl);
  width: 100%;
  margin-bottom: 24px;
}

.tileBanner {
  margin: 0 auto;
  max-width: var(--ifm-container-width-xl);
}

.mobileTileBanner {
  margin: 0 auto;
  min-width: 280px;
  min-height: 200px;
  margin-bottom: 1em;
}

@media screen and (max-width: 996px) {
  .tileBanner {
    display: none;
  }
}

@media screen and (min-width: 996px) {
  .mobileTileBanner {
    display: none;
  }
}

/* Stylings for Carousel */

.carouselContainer {
  margin: 0 auto;
  /* max-width: calc(100% - 3em);  */
  /* max-height: 554px; */
  position: relative;
}

.carousel {
  margin: 0 auto;
  max-width: var(--ifm-container-width-xl);
}

.mobileCarousel {
  margin: 0 auto;
  min-width: 280px;
}

@media screen and (max-width: 996px) {
  .carousel {
    display: none;
  }
}

@media screen and (min-width: 996px) {
  .mobileCarousel {
    display: none;
  }
}

/* Stylings for Carousel Arrows */
.carousel-swiper-button-prev,
.carousel-swiper-button-next {
  font-size: 1.8rem;
}

.carousel-swiper-button-prev {
  cursor: pointer;
  color: var(--ifm-color-primary);
  position: absolute;
  left: calc(0% - 15px - 0.5em);
  top: 45%;
}

.carousel-swiper-button-next {
  cursor: pointer;
  color: var(--ifm-color-primary);
  position: absolute;
  left: calc(100% + 0.5em);
  top: 45%;
}

@media screen and (max-width: 996px) {
  .carousel-swiper-button-next,
  .carousel-swiper-button-prev {
    display: none;
  }
}

/* Stylings for Term of the Day Component */

.termOfTheDayContainer {
  display: flex;
}

.termOfTheDay {
  background: #f1f1f1;
  width: 100%;
  height: 100%;
  border-radius: 4px;
}

.termOfTheDay h3 {
  font-style: normal;
  font-weight: 700;
  font-size: 1.375rem;
  line-height: 2.0625rem;
  color: var(--ifm-color-primary);
  padding: 24px 24px 0 24px;
}

.termOfTheDay p {
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  color: #000000;
  padding: 0 24px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}

@media screen and (max-width: 996px) {
  .termOfTheDay p {
    font-style: normal;
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.5rem;
    color: #000000;
    padding: 0 24px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
  }
}
